Can't Build For Device 3.0 (Framework Not Of Required Architecture)

Discussion in 'iOS Development' started by Steaps, Jun 21, 2009.

  1. Steaps

    Steaps New Member

    Joined:
    Oct 24, 2007
    Messages:
    5,074
    Likes Received:
    41
    Device:
    iPod touch
    I can build for the simulator perfectly fine, yet i cannot build for device. I get the follow 3 warnings, causing 50 errors.

    Please Register or Log in to view images



    XCode 3.2, Snow Leopard. I know you can build for device with both these builds.
  2. NolesFans

    NolesFans New Member

    Joined:
    Sep 23, 2008
    Messages:
    404
    Likes Received:
    0
    Device:
    iPod touch
    Check architecture under the project settings.

    Stimulator - Build Active Architecture Only = NO
    Device - Build Active Architecture Only = YES
  3. Steaps

    Steaps New Member

    Joined:
    Oct 24, 2007
    Messages:
    5,074
    Likes Received:
    41
    Device:
    iPod touch
    I can only find the one setting, and either set to TRUE, or set to FALSE (YES/NO, same difference). It doesn't work.

    Please Register or Log in to view images

  4. NolesFans

    NolesFans New Member

    Joined:
    Sep 23, 2008
    Messages:
    404
    Likes Received:
    0
    Device:
    iPod touch
    Oh okay, What is under Project > Set Activate Architecture?
  5. Steaps

    Steaps New Member

    Joined:
    Oct 24, 2007
    Messages:
    5,074
    Likes Received:
    41
    Device:
    iPod touch
    The solution was to recreate the project under Xcode 3.2.
    Weird, but it worked.

Share This Page